From: Antonio Terceiro <terceiro@debian.org>
Date: Fri, 23 Aug 2024 07:08:25 -0300
Subject: setup.py: drop check to 2to3

---
 setup.py | 12 ------------
 1 file changed, 12 deletions(-)

diff --git a/setup.py b/setup.py
index 4e0dd5c..e461cdb 100644
--- a/setup.py
+++ b/setup.py
@@ -16,18 +16,6 @@ Operating System :: Unix
 """
 
 requirements = ['ply>=3.11']
-major, minor = sys.version_info[:2] # Python version
-if major == 2 and minor <=6:
-    # OrderedDict was added to the collections module in Python 2.7 and it is
-    # there in all versions of Python 3.
-    requirements.append('odict')
-if major == 3:
-    PYTHON3 = True
-    try:
-        import lib2to3 # Just a check--the module is not actually used
-    except ImportError:
-        print("Python 3.X support requires the 2to3 tool.")
-        sys.exit(1)
 
 def read(*rel_names):
     return open(os.path.join(os.path.dirname(__file__), *rel_names)).read()
